groovy.jmx.builder

## Class JmxBuilderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - groovy.jmx.builder.JmxBuilderException

All Implemented Interfaces:
  java.io.Serializable

    public class JmxBuilderException
    extends java.lang.RuntimeException

Runtime exception used by JmxBuilder.

Author:
  Vladimir Vivien
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JmxBuilderException()` Default constructor for exception.
`JmxBuilderException(java.lang.String ex)` Parameterized constructor.
`JmxBuilderException(java.lang.String msg, java.lang.Throwable ex)` Parameterized constructor.
`JmxBuilderException(java.lang.Throwable ex)` Parameterized constructor.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JmxBuilderException

    public JmxBuilderException()

Default constructor for exception.

#### JmxBuilderException

    public JmxBuilderException(java.lang.String ex)

Parameterized constructor.

Parameters:
  `ex` - - exception message.

#### JmxBuilderException

    public JmxBuilderException(java.lang.Throwable ex)

Parameterized constructor.

Parameters:
  `ex` - - exception thrown.

#### JmxBuilderException

    public JmxBuilderException(java.lang.String msg,
                               java.lang.Throwable ex)

Parameterized constructor.

Parameters:
  `msg` - - exception message.
  `ex` - - exception thrown.